// Serial Pins 0 (Rx) and 1 (Tx)
#define address 0x1E

#include <SoftwareSerial.h>
#include <Servo.h>
#include <stdlib.h>
#include <Wire.h> 



Servo myservo1; 
Servo myservo2; 
int pos = 90; 

String inputString = ""; 
boolean stringComplete = false; 
String signal = "$GPGLL";

void setup() {
    Serial.begin(9600);
    inputString.reserve(200);
    myservo1.attach(8);
    myservo2.attach(9);
    myservo1.write(90);

   Wire.begin();  

  Wire.beginTransmission(address); 
  Wire.write(0x02); //select mode register
  Wire.write(0x00); //continuous measurement mode
  Wire.endTransmission();
    
}

void loop() {

     
    if (stringComplete) {
        String BB = inputString.substring(0, 6);
        if (BB == signal) {
            String LAT = inputString.substring(7, 11);
            int LATperiod = LAT.indexOf('.');
            int LATzero = LAT.indexOf('0');

        float latitude = LAT.toFloat()/100; 
        
        Serial.println(latitude, 0);
        myservo1.write(90-latitude);


         int x,y,z; 
  int xmin,xmax,ymin,ymax,zmin,zmax;
  xmin=0; xmax=0; ymax=0; ymin = 0; zmin=0;zmax=0;

  Wire.beginTransmission(address);
  Wire.write(0x03); 
  Wire.endTransmission();
  
  Wire.requestFrom(address, 6);
  if(6<=Wire.available()){
    x = Wire.read()<<8; //X msb
    x |= Wire.read(); //X lsb
    z = Wire.read()<<8; //Z msb
    z |= Wire.read(); //Z lsb
    y = Wire.read()<<8; //Y msb
    y |= Wire.read(); //Y lsb
  }
  
  //Print out values of each axis
  Serial.print("x: ");
  Serial.print(x);
  Serial.print("  y: ");
  Serial.print(y);
  Serial.print("  z: ");
  Serial.println(z);  

  float heading=atan2(x, y)/0.0174532925;
  if(heading < 0) heading+=360;
  heading=360-heading; // N=0/360, E=90, S=180, W=270
  Serial.println(heading); 


if (heading > 3 && heading <= 180) {
   myservo2.write(27); // move servo right
}

else if (heading > 180 && heading < 357) {
   myservo2.write(23); // move servo left
}

else {
  myservo2.detach();
}






//delay(100);


           
                   }

        inputString = "";
        stringComplete = false;
    
    }


 
   

}



void serialEvent() {
    while (Serial.available()) {
        char inChar = (char) Serial.read();
        inputString += inChar;
        if (inChar == '\n') {
            stringComplete = true;
        }
    }
}








